Description

When using debian jessie together with libosmocore and osmo-msc, osmo-msc rejects location updates because of a failing
osmo_get_rand_id().

I've used an APU to produce this bug

Please reproduce/test with debian jessie (as vm, not container, because the kernel version can have a part in this bug).
And ensure the fall-back is working

History

#1 - 07/10/2019 11:20 AM - lynxis

- Checklist item [ ] reproduce/test with debian jessie added
Checklist item [ ] ensure the fall-back is working added

- Description updated

#2 - 07/18/2019 05:50 AM - laforge
- Assignee set to osmith

- Priority changed from Normal to High

#3 - 12/01/2019 10:15 AM - laforge

- Assignee changed from osmith to roh

roh, please try to reproduce this. If it can be reproduced, we can pass that reproducing setup to one of the developers to fix it, as needed.

#4 - 12/10/2019 02:28 PM - roh

not sure how to properly reproduce this:
i have tried:
e a kvm based jessie install

¢ built libosmocom from source like documented at https://osmocom.org/projects/libosmocore/wiki/Libosmocore
e tried utils/osmo-auc-gen which uses osmo_get_rand_id to get a random "rc = osmo_get_rand_id(_rand, 16);"

whats the expected failure mode? the syscall failing? or the gnutls call?
this looks fine to me:
roh@debian:~/0S4095/1libosmocore$ utils/osmo—auc—-gen -3 —-a COMP128v2

osmo—auc—gen (C) 2011-2012 by Harald Welte
This is FREE SOFTIWARE with ABSOLUTELY NO WARRANTY

RAND : d9702£3518e38b014edalde8f170d6e3
SRES: al7ca8aa

Kc: d31ddcb0c5679000

SQON: 0

IND: 0

#5 - 01/17/2020 05:03 PM - roh
osmocom.org/users/72
https://osmocom.org/projects/libosmocore/wiki/Libosmocore

- Status changed from New to Feedback

- Assignee changed from roh to lynxis

please submit more details how to reproduce - thx

#6 - 10/23/2020 05:39 PM - lynxis
- Status changed from Feedback to Rejected

| don't have any jessie apu left.
I'll reject it.
